<template>
  <el-tabs
    type="border-card"
    class="experiment-read"
    v-model="tabActive"
    @tab-click="fetchAnswerSheetList"
  >
    <el-tab-pane label="新增试卷" style="padding:30px 20px" name="new">
      <NewTab></NewTab>
    </el-tab-pane>
    <el-tab-pane label="所有试卷" name="all">
      <AllTab ref="allTab"></AllTab>
    </el-tab-pane>
    <el-tab-pane label="数据统计" name="counter">数据统计</el-tab-pane>
  </el-tabs>
</template>

<script>
import NewTab from "./newTab";
import AllTab from "./allTab";

export default {
  name: "experimentRead",
  data() {
    return {
      tabActive: "new"
    };
  },
  components: { NewTab, AllTab },
  methods: {
    fetchAnswerSheetList() {
      this.$refs.allTab.fetchAnswerSheetList();
    }
  }
};
</script>

<style lang="scss">
.experiment-read {
  .el-tabs__header {
    height: 50px;
  }
  .el-tabs__item {
    width: 34%;
    height: 51px;
  }
  .el-tabs__header .el-tabs__item.is-active,
  .el-tabs__header .el-tabs__item.is-active:hover,
  .el-tabs__item:hover {
    color: #e72324 !important;
  }
  .el-tabs__nav {
    width: 100% !important;
  }
  .el-table tr {
    height: 60px;
  }
}
</style>
